<div *ngIf="flightTickets.length === 0; else showData">
    <h3 class="card-title" style="text-align: center; margin-top: 150px;">You don't have any reservations!</h3>
    <div class="card-footer text-center">
        <a [routerLink]="['/flightsByDate']" class="btn btn-primary" style="margin-top: 50px;">Reserve some flights
            now!</a>
    </div>
</div>

<ng-template #showData>

    <div *ngFor="let flightTicket of flightTickets">

        <div class="flight-ticket-container">
            <div class="flight-ticket-header">
                <h3>Flight Ticket</h3>
            </div>
            <div class="flight-ticket-details">
                <div class="flight-ticket-id">
                    <label>Ticket ID:</label>
                    <span>{{ flightTicket.id }}</span>
                </div>
                <div class="flight-ticket-class">
                    <label>Class:</label>
                    <span>{{ flightTicket.flightClass }}</span>
                </div>
                <div class="flight-ticket-direction">
                    <label>Direction:</label>
                    <span>{{ flightTicket.direction }}</span>
                </div>
                <div class="flight-ticket-seat-number">
                    <label>Seat Number:</label>
                    <span>{{ flightTicket.seat_number }}</span>
                </div>
            </div>
            <div class="flight-ticket-flight-details">
                <h4>Flight Details</h4>
                <div class="flight-ticket-flight-id">
                    <label>Flight ID:</label>
                    <span>{{ flightTicket.flight.id }}</span>
                </div>
                <div class="flight-ticket-flight-from">
                    <label>From:</label>
                    <span>{{ flightTicket.flight.airport_from.name }}</span>
                </div>
                <div class="flight-ticket-flight-to">
                    <label>To:</label>
                    <span>{{ flightTicket.flight.airport_where.name }}</span>
                </div>
                <div class="flight-ticket-flight-departure-date">
                    <label>Departure Date:</label>
                    <span>{{ flightTicket.flight.departure_date | date }}</span>
                </div>
                <div class="flight-ticket-flight-arrival-date">
                    <label>Arrival Date:</label>
                    <span>{{ flightTicket.flight.arrival_date | date }}</span>
                </div>
                <div class="card-footer text-center">
                    <a [routerLink]="['/ticketList', flightTicket.id]" class="btn btn-primary">View Details</a>
                </div>
            </div>
        </div>
    </div>
</ng-template>